/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.daos;


import com.tabajara.base.tables.Arduinoatuador;
import com.tabajara.base.tables.records.ArduinoatuadorRecord;

import io.github.jklingsporn.vertx.jooq.shared.internal.AbstractVertxDAO;

import java.util.List;

import javax.annotation.Generated;

import org.jooq.Configuration;


import io.vertx.core.Future;
import io.github.jklingsporn.vertx.jooq.classic.jdbc.JDBCClassicQueryExecutor;
/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class ArduinoatuadorDao extends AbstractVertxDAO<ArduinoatuadorRecord, com.tabajara.base.tables.pojos.Arduinoatuador, Integer, Future<List<com.tabajara.base.tables.pojos.Arduinoatuador>>, Future<com.tabajara.base.tables.pojos.Arduinoatuador>, Future<Integer>, Future<Integer>> implements io.github.jklingsporn.vertx.jooq.classic.VertxDAO<ArduinoatuadorRecord,com.tabajara.base.tables.pojos.Arduinoatuador,Integer> {

    /**
     * @param configuration The Configuration used for rendering and query execution.
     * @param vertx the vertx instance
     */
    public ArduinoatuadorDao(Configuration configuration, io.vertx.core.Vertx vertx) {
        super(Arduinoatuador.ARDUINOATUADOR, com.tabajara.base.tables.pojos.Arduinoatuador.class, new JDBCClassicQueryExecutor<ArduinoatuadorRecord,com.tabajara.base.tables.pojos.Arduinoatuador,Integer>(com.tabajara.base.tables.pojos.Arduinoatuador.class,configuration,vertx), configuration);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    protected Integer getId(com.tabajara.base.tables.pojos.Arduinoatuador object) {
        return object.getArdsenid();
    }

    /**
     * Find records that have <code>fkardid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduinoatuador>> findManyByFkardid(List<Integer> values) {
        return findManyByCondition(Arduinoatuador.ARDUINOATUADOR.FKARDID.in(values));
    }

    /**
     * Find records that have <code>fkatuid IN (values)</code> asynchronously
     */
    public Future<List<com.tabajara.base.tables.pojos.Arduinoatuador>> findManyByFkatuid(List<Integer> values) {
        return findManyByCondition(Arduinoatuador.ARDUINOATUADOR.FKATUID.in(values));
    }
}
